Summary: VIsual editor iMproved
Name: vim
Version: 5.3
Release: 4
Group: Applications/Editors
Copyright: freeware
Url: http://www.vim.org
Packager: Hao Li <hli@wag.caltech.edu>
Source0: ftp://ftp.oce.nl/pub/vim/unix/vim-%{version}-src.tar.gz
Source1: ftp://ftp.oce.nl/pub/vim/unix/vim-%{version}-rt.tar.gz
Buildroot: /var/tmp/%{name}-root

%description
The VIsual editor iMproved is an updated and feature-added clone of the 'vi' 
editor that comes with almost all UN*X systems. It adds multiple windows,
multi-level undo, block highliting, and many other features to the standard
vi program.


%prep
%setup -q -b 1


%build
CFLAGS="$RPM_OPT_FLAGS" ./configure \
	--prefix=/usr  --exec-prefix=/ \
	--without-x --disable-gui --with-tlib=termcap
make


%install
rm -rf $RPM_BUILD_ROOT
make prefix=$RPM_BUILD_ROOT/usr exec_prefix=$RPM_BUILD_ROOT install
# Fix some paths
perl -pi -e "s|$RPM_BUILD_ROOT||" $RPM_BUILD_ROOT/usr/man/man1/vim.1
perl -pi -e 's|\$VIM|/usr/doc/%{name}-%{version}|g' \
	$RPM_BUILD_ROOT/usr/share/vim/doc/howto.txt
# Create vi links
ln -s vim $RPM_BUILD_ROOT/bin/vi
ln -s vim.1 $RPM_BUILD_ROOT/usr/man/man1/vi.1
# Newer version of ctags is provided as a standalone package
rm -f $RPM_BUILD_ROOT/{bin/[ce]tags,usr/man/man1/[ce]tags.1}
# Setup global default /usr/share/vim/vimrc
cat > $RPM_BUILD_ROOT/usr/share/vim/vimrc <<EOF
set nocompatible
EOF


%files
%defattr(-,root,root)
%doc README.txt README_src.txt bugreport.vim tutor vimrc_example
/bin/*
/usr/share/vim
/usr/man/man1/*


%clean
rm -rf $RPM_BUILD_ROOT
